<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="RekapClosing" pageWidth="595" pageHeight="842" columnWidth="535" leftMargin="30" rightMargin="30" topMargin="20" bottomMargin="20" uuid="211c748c-78fc-4c06-9a76-65791765f724">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="toko" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Rejeki Makmur"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat1" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Ruko Tidar Mas Square C16"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat2" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Surabaya - 6102 - Indonesia"]]></defaultValueExpression>
	</parameter>
	<parameter name="telp" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["Ph. 08123123123, 031-30423123"]]></defaultValueExpression>
	</parameter>
	<parameter name="email" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["rejeki.makmur@yahoo.com"]]></defaultValueExpression>
	</parameter>
	<parameter name="tanggal1" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["2013-01-01"]]></defaultValueExpression>
	</parameter>
	<parameter name="tanggal2" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["2013-05-31"]]></defaultValueExpression>
	</parameter>
	<parameter name="idCustomer" class="java.lang.Integer" isForPrompting="false"/>
	<parameter name="idSales" class="java.lang.Integer" isForPrompting="false"/>
	<parameter name="idExpedisi" class="java.lang.Integer" isForPrompting="false"/>
	<parameter name="shift" class="java.lang.String">
		<defaultValueExpression><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="kasir" class="java.lang.String">
		<defaultValueExpression><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[select * from fn_rpt_closing_shift($P{tanggal1}, $P{shift}) as (urut integer, tipe text, total double precision)]]>
	</queryString>
	<field name="urut" class="java.lang.Integer"/>
	<field name="tipe" class="java.lang.String"/>
	<field name="total" class="java.lang.Double"/>
	<variable name="nomor" class="java.lang.Integer" calculation="Count">
		<variableExpression><![CDATA[$F{urut}]]></variableExpression>
	</variable>
	<variable name="totTotal" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{total}]]></variableExpression>
	</variable>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band height="132" splitType="Stretch">
			<textField isBlankWhenNull="false">
				<reportElement key="textField" x="0" y="0" width="378" height="24" uuid="0d2ede79-50a3-421a-b4ba-fa47c83fe174"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Arial" size="14" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{toko}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="staticText-50" x="0" y="24" width="378" height="17" uuid="2c5337b0-773a-41ed-97f0-908d658dad83"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Tahoma" size="11" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Laporan Rekap Penjualan per Tanggal]]></text>
			</staticText>
			<textField isBlankWhenNull="false">
				<reportElement key="textField-33" x="0" y="41" width="535" height="16" uuid="b38021b3-dfd5-4919-8e7b-5b3bb51272ea"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font isBold="true" isUnderline="false" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<textFieldExpression><![CDATA["Periode : "+ $P{tanggal1}.substring(8,10)+ $P{tanggal1}.substring(4,7)+'-'+$P{tanggal1}.substring(0,4)+" S/d "+$P{tanggal2}.substring(8,10)+ $P{tanggal2}.substring(4,7)+'-'+$P{tanggal2}.substring(0,4)]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="staticText-5" x="0" y="72" width="80" height="14" uuid="f35c5fbd-5008-420b-9130-0636844b846b"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Tanggal Faktur]]></text>
			</staticText>
			<textField pattern="dd/MM/yyyy" isBlankWhenNull="true">
				<reportElement key="textField-3" x="86" y="72" width="124" height="14" uuid="3b3f32bd-333d-47a8-b0de-f744526c3523"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{tanggal1}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="staticText-10" x="80" y="72" width="6" height="14" uuid="51d3cdb8-b416-47b8-bb29-bd6adb5fabf3"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-5" x="0" y="86" width="80" height="14" uuid="d4872461-6632-4641-af38-b9632516dcc9"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Shift]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-10" x="80" y="86" width="6" height="14" uuid="7237d167-4d1e-41ac-b880-9b291d5b2fc8"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<textField pattern="dd/MM/yyyy" isBlankWhenNull="true">
				<reportElement key="textField-3" x="86" y="86" width="124" height="14" uuid="e117983f-1506-411e-85e5-a73736c09cc2"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{shift}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="staticText-56" x="22" y="116" width="295" height="16" uuid="1b75dbfc-ce08-4fca-865b-e8aac9f38cdd"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="9" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Keterangan]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-15" x="0" y="116" width="22" height="16" uuid="20d4a8b3-e9d4-4a32-b95b-e8bb9581ceb6"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="9" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[NO]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-24" x="317" y="116" width="98" height="16" uuid="7dc9c8bc-0c8c-4dff-9667-6fa3f1cddbe9"/>
				<box leftPadding="2" rightPadding="2">
					<topPen lineWidth="0.75"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.75" lineStyle="Solid"/>
					<rightPen lineWidth="0.75" lineStyle="Solid"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial" size="9" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[TOTAL]]></text>
			</staticText>
		</band>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="14" splitType="Stretch">
			<textField isBlankWhenNull="false">
				<reportElement key="textField-7" x="0" y="0" width="22" height="14" uuid="dac04b6e-576b-4375-8c4c-c67c291bb772"/>
				<box topPadding="1" leftPadding="2" rightPadding="2">
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
				</box>
				<textElement verticalAlignment="Top">
					<font fontName="Arial" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{nomor}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="false">
				<reportElement key="textField-8" x="22" y="0" width="295" height="14" uuid="2f2cf978-2705-420c-87c8-78e7beb748a4"/>
				<box topPadding="1" leftPadding="2" rightPadding="2">
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
				</box>
				<textElement verticalAlignment="Top">
					<font fontName="Arial" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{tipe}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0" isBlankWhenNull="false">
				<reportElement key="textField-16" x="317" y="0" width="98" height="14" uuid="bdbde61d-086c-4451-8e55-d359e9e7e247"/>
				<box topPadding="1" leftPadding="2" rightPadding="2">
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
					<rightPen lineWidth="0.75"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font fontName="Arial" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{total}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="20" splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="22" splitType="Stretch">
			<staticText>
				<reportElement key="staticText-51" x="0" y="0" width="317" height="17" uuid="4cbf6f47-1f21-4387-9766-9b737eb6fa0b"/>
				<box leftPadding="1" rightPadding="1">
					<topPen lineWidth="1.25" lineStyle="Double"/>
					<leftPen lineWidth="0.75" lineStyle="Solid"/>
					<bottomPen lineWidth="1.25" lineStyle="Double"/>
					<rightPen lineWidth="0.75"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[GRAND TOTAL]]></text>
			</staticText>
			<textField pattern="#,##0" isBlankWhenNull="false">
				<reportElement key="textField-35" x="317" y="0" width="98" height="17" uuid="40b876e7-f745-45df-8250-4ff7323edc1b"/>
				<box leftPadding="1" rightPadding="1">
					<topPen lineWidth="1.25" lineStyle="Double"/>
					<leftPen lineWidth="0.0" lineStyle="Solid"/>
					<bottomPen lineWidth="1.25" lineStyle="Double"/>
					<rightPen lineWidth="0.75"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial" size="10" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{totTotal}]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
